import 'package:flutter/material.dart';
import 'package:softcorp_flutter_core/default_card/default_card.dart';
import '../constants.dart';

class DefaultHeaderCard extends StatelessWidget {
  final Color? backgroundColor;
  final Widget child;
  final String title;
  final String subtitle;
  final Widget? icon;

  const DefaultHeaderCard(
      {Key? key, this.backgroundColor,
        required this.child,
        required this.title,
        required this.subtitle,
        required this.icon}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DefaultCard(
      backgroundColor: backgroundColor ?? defaultCardColor,
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          ListTile(
            leading: icon ?? const SizedBox(),
            contentPadding: const EdgeInsets.all(20),
            tileColor: Colors.black,
            title: Text(
              title,
              style: const TextStyle(
                color: Colors.white,
                overflow: TextOverflow.ellipsis,
                fontSize: 22,
              ),
              maxLines: 1,
            ),
            subtitle: Text(
              subtitle,
              style: const TextStyle(
                color: Colors.white70,
                overflow: TextOverflow.ellipsis,
                fontSize: 16,
              ),
              maxLines: 2,
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(defaultPadding * 2),
            child: child,
          ),
        ],
      ),
    );
  }
}
