import 'package:flutter/material.dart';
import 'package:loading_indicator/loading_indicator.dart';

class DefaultSpinner extends StatelessWidget {
  final Color? backgroundColor;
  final double size;

  const DefaultSpinner(
      {Key? key, required this.backgroundColor, required this.size})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        width: size,
        child: LoadingIndicator(
            indicatorType: Indicator.ballScaleMultiple,

            /// Required, The loading type of the widget
            colors: const [
              Colors.black,
              Colors.blue,
              Colors.blueAccent,
              //Colors.deepOrangeAccent,
              //Colors.orange,
            ],

            /// Optional, The color collections
            strokeWidth: 2,

            /// Optional, The stroke of the line, only applicable to widget which contains line
            backgroundColor: backgroundColor,

            /// Optional, Background of the widget
            pathBackgroundColor: backgroundColor

            /// Optional, the stroke backgroundColor
            ),
      ),
    );
  }
}
